// $teste: ffi-require("../constants/index", "APP_NAME");
// $base-app-url: "http://localhost:3008";

html,
body {
  padding: 0;
  margin: 0;
  font-family: Nunito, Nunito Sans, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  background-color: #fff;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

body {
  background-color: #fff;
}

@media all and (max-width: 480px) {
  .width-based-device {
    width: 100%;
    display: block;
  }
}

@media all and (min-width: 480px) {
  .width-based-device {
    width: 30vw !important;
    display: flex !important;
    align-self: center !important;
  }
}

.scrollingContainer {
  /* overflow-x: scroll; */
  overflow-y: hidden;
  white-space: nowrap;
  text-align: left;
  /* margin-bottom: 10; */
}

.scrollingContainer div {
  display: inline-block;
}

.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  padding: 10px 0px 10px 0px;
  font-size: 12px;
  background: #f3f3f3;
  box-shadow: 0px -2px 5px rgba(149, 149, 149, 0.4);
  border-radius: 20px 20px 0 0;
  text-align: center;
  border-style: solid;
}

.boxRowSpaceAround {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  width: 100%;
}

.boxColumnCenter {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.boxRowCenter {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.boxRowSpaceBetween {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}

.marginTop15 {
  margin-top: 15px;
}

.marginRight15 {
  margin-right: 15px;
}

.boxGridTwoColumns {
  display: inline-grid;
  grid-template-columns: 50% 50%;
  padding: 5;
  width: 100%;
}

.my-swal {
  z-index: 9999999999 !important;
  border-radius: 10px;
}

input:-webkit-autofill,
.my-class:-webkit-autofill {
  -webkit-transition-delay: 9999999s;
}

#loginForm .MuiInputLabel-root {
  color: white !important;
}

#canvasWrapper #canvas div {
  background-color: #202346 !important;
}

.searchForm {
  width: 100vw;
  margin: 0 auto;
}

form.nosubmit {
  display: flex;
  padding: 2px;
  background: #4c517f;
  align-self: "center";
  border-radius: 16px;
  /* margin: 0 0 30px; */
  width: 75%;

  @media (max-width: "768px") {
    width: 85%;
  }
}

.searchForm input[type="search"] {
  border: none;
  background: transparent;
  margin: 0;
  padding: 7px 8px;
  font-size: 14px;
  color: inherit;
  background: rgb(83, 75, 174);
  color: white;
  border: 1px solid transparent;
  border-radius: inherit;
}

.searchForm input[type="search"]::placeholder {
  color: #bbb;
}

.searchForm button[type="submit"] {
  text-indent: -999px;
  overflow: hidden;
  width: 40px;
  padding: 0;
  margin: 0;
  border: 1px solid transparent;
  border-radius: inherit;
  background: transparent
    url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='white' width='16' height='16' class='bi bi-search' viewBox='0 0 16 16'%3E%3Cpath d='M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z'%3E%3C/path%3E%3C/svg%3E")
    no-repeat center;
  cursor: pointer;
  opacity: 0.7;
}

.searchForm button[type="submit"]:hover {
  opacity: 1;
}

.searchForm button[type="submit"]:focus,
.searchForm input[type="search"]:focus {
  box-shadow: 0 0 3px 0 #fff;
  outline: none;
}

.searchForm input.nosubmit {
  border: 1px solid #555;
  width: 100%;
  padding: 9px 4px 9px 40px;
  background: transparent
    url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-search' viewBox='0 0 16 16'%3E%3Cpath d='M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z'%3E%3C/path%3E%3C/svg%3E")
    no-repeat 98%;
}

table.envPage {
  font-size: 10px;
  width: 400px;
  margin-bottom: 20px;
}

table.envPage th {
  background-color: #bbb;
  text-align: center;
}

table.envPage td {
  text-align: center;
}

table.envPage td:nth-child(1) {
  width: 60%;
}

.ui-carousel {
  margin-bottom: 16px;
}

.ui-carousel > .awssld__wrapper {
  height: 90px;
}

.ui-carousel > .awssld__bullets {
  background-color: #00aeaf;
  bottom: 0px;
  position: inherit;
  padding-bottom: 12px;
}

.ui-carousel > .awssld__bullets > button {
  width: 10px;
  height: 10px;
  background-color: #fff;
}

@tailwind base;
@tailwind components;
@tailwind utilities;

.MuiToolbar-root {
  border-color: none !important;
}

.jodit-status-bar {
  display: none !important;
}

.jodit-react-container {
  width: 100% !important;
}

.jodit-container {
  height: 450px !important;
}

img,
video {
  max-width: initial;
}

.wrapper_audio_container {
  display: "flex";
  flex-direction: "row";
  flex: 1;
  padding: 2;
  background-color: "white";
  border-radius: 10px;
  border-color: #bbb;
}

.MuiPaper-root {
  border-color: none !important;
}

// .playlist .controls label.volume:before {
//   content: url("#{$base-app-url}/images/waveform-playlist/sound_off.png");
// }
// .playlist .controls label.volume:after {
//   content: url("#{$base-app-url}/images/waveform-playlist/sound_on.png");
// }

@-webkit-keyframes flash {
  0%,
  50%,
  100% {
    opacity: 1;
  }

  25%,
  75% {
    opacity: 0;
  }
}

@keyframes flash {
  0%,
  50%,
  100% {
    opacity: 1;
  }

  25%,
  75% {
    opacity: 0;
  }
}

.pulse-css {
  width: 5px;
  height: 5px;
  border-radius: 50%;

  background: tomato;
  position: relative;
  &:before,
  &:after {
    content: "";
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: tomato;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    transform: scale(0.5);
    transform-origin: center center;
    animation: pulse-me 3s linear infinite;
  }
  &:after {
    animation-delay: 2s;
  }
}

@keyframes pulse-me {
  0% {
    transform: scale(0.5);
    opacity: 0;
  }
  50% {
    opacity: 0.1;
  }
  70% {
    opacity: 0.09;
  }
  100% {
    transform: scale(5);
    opacity: 0;
  }
}

.list-item-text-active .MuiTypography-root {
  font-weight: bold;
}
